/* 
 * File:   Window.h
 * Author: MasterLinux
 *
 * Created on 13. Juni 2010, 16:45
 */

#ifndef _WINDOW_H
#define	_WINDOW_H

#include "SDL.h"

using namespace std;

class Window {
public:
    Window(int width, int height);
    Window(const Window& orig);
    virtual ~Window();

    void setTitle(const char* _title);
    void resize(int width, int height);
    void refresh();

    SDL_Surface* getWindow();
private:
    const char* title;
    int width, height;
    SDL_Surface* window;
    
    void intialize();
};

#endif	/* _WINDOW_H */

